org.hibernate.search.engine.metadata.impl

## Class TypeMetadata.Builder

- java.lang.Object
- - org.hibernate.search.engine.metadata.impl.TypeMetadata.Builder

- Direct Known Subclasses:
    EmbeddedTypeMetadata.Builder
  Enclosing class:
    TypeMetadata

      public static class TypeMetadata.Builder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BackReference<TypeMetadata>` | `resultReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(IndexedTypeIdentifier indexedType, ConfigContext configContext, ParseContext parseContext)`
    `Builder(IndexedTypeIdentifier indexedType, TypeMetadata.Builder containerTypeBuilder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClassBridgeField(DocumentFieldMetadata fieldMetadata)`
    `void` | `addClassBridgeSortableFields(Iterable<String> sortableFieldsAbsoluteNames)`
    `void` | `addCollectionRole(String role)`
    `void` | `addContainedIn(ContainedInMetadata containedInMetadata)`
    `void` | `addEmbeddedType(EmbeddedTypeMetadata embeddedTypeMetadata)`
    `TypeMetadata.Builder` | `addProperty(PropertyMetadata propertyMetadata)`
    `AnalyzerReference` | `addToScopedAnalyzerReference(DocumentFieldPath fieldPath, AnalyzerReference analyzerReference, Field.Index index)`
    `TypeMetadata.Builder` | `analyzerDiscriminator(Discriminator discriminator, org.hibernate.annotations.common.reflection.XMember discriminatorGetter)`
    `TypeMetadata.Builder` | `analyzerReference(AnalyzerReference analyzerReference)`
    `boolean` | `areClassBridgesUsed()`
    `void` | `blacklistForOptimization(org.hibernate.annotations.common.reflection.XClass blackListClass)`
    `TypeMetadata.Builder` | `boost(float boost)`
    `TypeMetadata.Builder` | `boostStrategy(BoostStrategy boostStrategy)`
    `TypeMetadata` | `build()`
    `void` | `disableStateInspectionOptimization()`
    `AnalyzerReference` | `getAnalyzerReference()`
    `BoostStrategy` | `getClassBoostStrategy()`
    `PropertyMetadata` | `getIdPropertyMetadata()`
    `IndexedTypeIdentifier` | `getIndexedType()`
    `BackReference<TypeMetadata>` | `getResultReference()`
    `ScopedAnalyzerReference.Builder` | `getScopedAnalyzerReferenceBuilder()`
    `TypeMetadata.Builder` | `idProperty(PropertyMetadata propertyMetadata)`
    `boolean` | `isStateInspectionOptimizationsEnabled()`
    `TypeMetadata.Builder` | `jpaProperty(org.hibernate.annotations.common.reflection.XProperty jpaProperty)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resultReference

          protected final BackReference<TypeMetadata> resultReference

  - ### Constructor Detail

    - #### Builder

          public Builder(IndexedTypeIdentifier indexedType,
                         ConfigContext configContext,
                         ParseContext parseContext)

    - #### Builder

          public Builder(IndexedTypeIdentifier indexedType,
                         TypeMetadata.Builder containerTypeBuilder)

  - ### Method Detail

    - #### idProperty

          public TypeMetadata.Builder idProperty(PropertyMetadata propertyMetadata)

    - #### boost

          public TypeMetadata.Builder boost(float boost)

    - #### boostStrategy

          public TypeMetadata.Builder boostStrategy(BoostStrategy boostStrategy)

    - #### analyzerReference

          public TypeMetadata.Builder analyzerReference(AnalyzerReference analyzerReference)

    - #### jpaProperty

          public TypeMetadata.Builder jpaProperty(org.hibernate.annotations.common.reflection.XProperty jpaProperty)

    - #### analyzerDiscriminator

          public TypeMetadata.Builder analyzerDiscriminator(Discriminator discriminator,
                                                            org.hibernate.annotations.common.reflection.XMember discriminatorGetter)

    - #### addProperty

          public TypeMetadata.Builder addProperty(PropertyMetadata propertyMetadata)

    - #### addClassBridgeField

          public void addClassBridgeField(DocumentFieldMetadata fieldMetadata)

    - #### addEmbeddedType

          public void addEmbeddedType(EmbeddedTypeMetadata embeddedTypeMetadata)

    - #### addContainedIn

          public void addContainedIn(ContainedInMetadata containedInMetadata)

    - #### addCollectionRole

          public void addCollectionRole(String role)

    - #### disableStateInspectionOptimization

          public void disableStateInspectionOptimization()

    - #### addToScopedAnalyzerReference

          public AnalyzerReference addToScopedAnalyzerReference(DocumentFieldPath fieldPath,
                                                                AnalyzerReference analyzerReference,
                                                                Field.Index index)

    - #### blacklistForOptimization

          public void blacklistForOptimization(org.hibernate.annotations.common.reflection.XClass blackListClass)

    - #### areClassBridgesUsed

          public boolean areClassBridgesUsed()

    - #### getClassBoostStrategy

          public BoostStrategy getClassBoostStrategy()

    - #### getAnalyzerReference

          public AnalyzerReference getAnalyzerReference()

    - #### getScopedAnalyzerReferenceBuilder

          public ScopedAnalyzerReference.Builder getScopedAnalyzerReferenceBuilder()

    - #### isStateInspectionOptimizationsEnabled

          public boolean isStateInspectionOptimizationsEnabled()

    - #### getIndexedType

          public IndexedTypeIdentifier getIndexedType()

    - #### getIdPropertyMetadata

          public PropertyMetadata getIdPropertyMetadata()

    - #### getResultReference

          public BackReference<TypeMetadata> getResultReference()

    - #### build

          public TypeMetadata build()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addClassBridgeSortableFields

          public void addClassBridgeSortableFields(Iterable<String> sortableFieldsAbsoluteNames)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved